:root[color-mode="light"] {
    --module-color: #e2e2e2;
    --dark-color: #161616;
    --light-color: #f3f3f3;
    --light-color-80: #f3f3f3d1;
    --background-contrast-color: #fff;
    --shadow-color: #00000031;
    --toggler-switch-position: right;
    --svg-opacity: 1;
    --icon-brightness: brightness();
  }
  :root[color-mode="dark"] {
    --module-color: #1b1b1b;
    --dark-color: #f3f3f3;
    --light-color: #161616;
    --light-color-80: #161616d1;
    --background-contrast-color: #000;
    --shadow-color: #ffffff31;
    --toggler-switch-position: left;
    --svg-opacity: 0.35;
    --icon-brightness: brightness(11);
  }
  :root[color-mode="dark"] .dark--hidden,
  :root[color-mode="light"] .light--hidden {
    display: none;
  }
  *,
  a {
    color: var(--dark-color);
    transition: all 0.5s;
  }
  * {
    font-family: Inter, sans-serif;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
  }
  a {
    text-decoration: none;
    cursor: pointer;
  }
  a:hover {
    text-decoration: underline;
  }
  a.button {
    height: 60px;
    padding: 10px 20px;
    align-items: center;
    justify-content: center;
    text-align: center;
    align-self: center;
    display: inline-flex;
    border-style: none;
    text-transform: uppercase;
    font-size: 18px;
    text-decoration: none;
  }
  a.button:hover {
    background-color: rgba(255, 255, 255, 0.5);
    box-shadow: 0 0 0 0#000, inset 0 0 0 2px var(--dark-color);
    text-decoration: underline;
  }
  body {
    background-color: var(--light-color);
  }
  footer {
    width: 100%;
    font-size: 17px;
    padding: 40px;
    display: flex;
    gap: 20px;
    align-items: top;
    flex-direction: row;
  }
  h1 {
    font-size: 50px;
    line-height: 1;
  }
  header {
    max-width: 600px;
    padding: 10% 0 10%;
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
  main {
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 900px;
    margin: auto;
    padding: 5vw 5vw 0 5vw;
  }
  main p {
    line-height: 1.6;
  }
  nav {
    padding: 30px;
    background-color: var(--light-color-80);
    position: fixed;
    width: 100%;
    margin: 0;
    z-index: 9000;
    left: 0;
    top: 0;
  }
  .footer-logo {
    filter: var(--icon-brightness);
  }
  .footer-logo:hover {
    opacity: 0.5;
  }
  .footer-section {
    display: flex;
    flex-direction: row;
    flex: 1;
  }
  .footer-section:nth-of-type(1) {
    gap: 20px;
    align-items: center;
    text-align: left;
  }
  .footer-section:nth-of-type(2) {
    gap: 40px;
    width: 100%;
    justify-content: flex-end;
    text-align: center;
  }
  .footer-section:nth-of-type(2) p {
    gap: 20px;
    display: flex;
  }
  .little-font,
  h3 {
    width: 100%;
    font-weight: 600;
    color: #868686;
  }
  .main-module a.button {
    margin: auto;
    color: var(--dark-color);
  }
  .main-module div {
    width: auto;
    max-width: 500px;
    padding: 50px;
    height: auto;
    background-color: #6d777c22;
    margin: 50px auto 60px;
    display: flex;
    flex-direction: column;
  }
  .main-module h2 {
    line-height: 1.4;
    max-width: 500px;
    width: 100%;
    margin: 70px auto 20px;
    font-size: 36px;
  }
  .main-module h3,
  h4 {
    max-width: 500px;
    width: 100%;
    margin: 50px auto 20px;
    font-size: 22px;
  }
  .main-module img {
    width: 100%;
    max-width: 800px;
    margin: 10px auto 40px;
    display: block;
  }
  .main-module p {
    max-width: 500px;
  }
  .main-module p,
  footer {
    font-size: 16px;
    margin: 10px auto 40px;
  }
  .main-module li,
  .main-module ul {
    font-size: 16px;
    max-width: 500px;
    line-height: 1.6;
    margin: 10px auto 10px;
  }
  .main-module li:last-child,
  .main-module ul:last-child {
    font-size: 16px;
    max-width: 500px;
    line-height: 1.6;
    margin: 10px auto 40px;
  }
  .main-module a.button,
  .toggler-border,
  a.button {
    background-color: var(--light-color);
  }
  .main-module .small-img {
    max-width: 500px;
  }
  .mode-toggler {
    background-color: transparent;
    border-color: transparent;
    float: right;
    width: 200px;
    height: 22px;
    display: flex;
    flex-direction: row;
    align-items: center;
    align-content: space-between;
    justify-content: flex-end;
  }
  .mode-toggler p {
    width: 160px;
    padding-right: 72px;
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    gap: 6px;
  }
  .project {
    flex-grow: 1;
  }
  .project h2 {
    line-height: 0.5;
    margin-bottom: 1px;
  }
  .project img {
    height: 300px;
    padding-top: 2em;
    width: 100%;
    object-fit: contain;
  }
  .project p {
    line-height: 1.3;
    margin-top: 12px;
  }
  .project-data {
    background-color: var(--background-contrast-color);
    width: 100%;
    padding: 10px 20px;
  }
  .project-header {
    text-align: center;
  }
  .project-header h1,
  .project-header h2,
  .project-header p {
    margin: 10px;
  }
  .project-nav {
    position: fixed;
    bottom: 50%;
    z-index: 30;
    background-color: var(--light-color-80) !important;
  }
  .project-nav:nth-of-type(1) {
    left: 30px;
  }
  .project-nav:nth-of-type(2) {
    right: 30px;
  }
  .project-nav:hover {
    opacity: 1;
    background-color: var(--light-color) !important;
  }
  .project-nav:hover span {
    display: none;
  }
  .project-nav:nth-of-type(1):hover:before {
    content: "← PREVIOUS";
  }
  .project-nav:nth-of-type(2):hover:before {
    content: "NEXT →";
  }
  .project-nav-es:nth-of-type(1):hover:before {
    content: "← ANTERIOR";
  }
  .project-nav-es:nth-of-type(2):hover:before {
    content: "SIGUIENTE →";
  }
  .project,
  .thumbnail {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
  }
  .portfolio {
    max-width: 800px;
    width: 100%;
    gap: 2%;
    row-gap: 4em;
    display: flex;
    align-items: flex-end;
    flex: 1;
    flex-wrap: wrap;
  }
  .portfolio a {
    width: 49%;
    position: relative;
    top: 0;
    transition: top box-shadow;
    box-shadow: none;
  }
  .portfolio a:hover {
    top: -4px;
    box-shadow: 0 4px 6px var(--shadow-color);
  }
  .portfolio a:active {
    top: 2px;
    box-shadow: none;
  }
  .thumbnail {
    background-color: var(--module-color);
    align-items: center;
    width: 100%;
    height: 300px;
  }
  .toggler-border {
    background-color: var(--module-color);
    border: 0;
    width: 54px;
    height: auto;
    border-radius: 50px;
    position: fixed;
    z-index: 30;
    margin: 0;
    padding: 0;
  }
  .toggler-border :hover {
    cursor: pointer;
    opacity: 0.6;
  }
  .toggler-icon {
    width: 22px;
  }
  .toggler-switch {
    background-color: var(--dark-color);
    width: 30px;
    height: 30px;
    margin: 3px;
    border-radius: 50px;
    float: var(--toggler-switch-position);
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .welcome {
    width: auto;
    max-width: 500px;
    padding: 0;
    height: auto;
    background-color: #6d777c22;
    margin: 0;
    display: flex;
    flex-direction: column;
  }
  .welcome div:nth-child(1) {
    width: 100%;
    height: 100px;
    display: flex;
    flex-direction: column;
    background-attachment: fixed;
    background-position: top;
    background-repeat: no-repeat;
  }
  .welcome div:nth-child(2) {
    padding: 50px;
  }
  .main-module video {
    width: fit-content;
    max-height: 800px;
    max-width: 100%;
    margin: 10px auto 40px;
    display: block;
    border-radius: 20px;
  }
  .hidden {
    display: none;
  }
  @media only screen and (max-width: 1100px) {
    footer {
      gap: 5px;
      flex-direction: column;
    }
    .footer-section {
      flex-direction: column;
    }
    .footer-section:nth-of-type(1) {
      gap: 10px;
    }
    .footer-section:nth-of-type(2) {
      gap: 0;
      align-items: center;
    }
    .footer-section:nth-of-type(2) p {
      gap: 20px;
    }
  }
  @media only screen and (max-width: 790px) {
    header {
      padding: 40px 0px;
    }
    .portfolio {
      justify-content: center;
    }
    .portfolio a {
      width: 100%;
      max-width: 500px;
    }
    .project,
    .thumbnail {
      display: flex;
      flex-direction: column;
    }
    .project-nav {
      bottom: 30px;
    }
  }
  @media only screen and (max-width: 600px) {
    nav{
      padding: 20px;
    }
    .main-module p {
      font-size: 15px;
      line-height: 1.8;
      margin: 15px auto;
    }
    .main-module div {
      padding: 15px 25px 25px;
      margin: 25px auto 30px;
    }
    .welcome div:nth-child(1) {
      background-size: 90%;
    }
    .welcome div:nth-child(2) {
      padding: 30px;
    }
  }
  